=== debian/changelog ===
ros-humble-moveit-setup-srdf-plugins (2.5.5-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 09 Sep 2023 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.5.4-2bookworm) bookworm; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: mergify[bot]

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 03 Nov 2022 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.5.3-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 27 Jul 2022 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.5.2-2bookworm) bookworm; urgency=high

  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * [MSA] Fix SRDF Initialization Bug / Copy Paste Error (#1381 <https://github.com/ros-planning/moveit2/issues/1381>)
  * [MSA] Fix compile issues
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * [MSA] Clean up extra parentheses (#1366 <https://github.com/ros-planning/moveit2/issues/1366>)
  * [MSA] clang-format fixes
  * [MSA] Workaround to launch files without controllers (#1275 <https://github.com/ros-planning/moveit2/issues/1275>)
  * [MSA] PR Feedback
  * [MSA] Merge main into feature/msa (Part III) (#1249 <https://github.com/ros-planning/moveit2/issues/1249>)
  * [MSA] Merge main into feature/msa (Part II) (#1240 <https://github.com/ros-planning/moveit2/issues/1240>)
  * [MSA] Merge Upstream into feature/msa (#1119 <https://github.com/ros-planning/moveit2/issues/1119>)
  * [MSA] SRDF Setup (#1057 <https://github.com/ros-planning/moveit2/issues/1057>)
  * [MSA] Initial Refactor
  * [MSA] Move Files Around (split into multiple packages, change to hpp extension)
  * Contributors: David V. Lu!!, Vatan Aksoy Tezer

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 17 Jul 2022 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.5.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 30 May 2022 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.5.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 May 2022 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.3.2-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 28 Dec 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.3.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 22 Dec 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.3.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 07 Oct 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.2.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 11 Jul 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.2.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 29 Jun 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.1.4-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 30 May 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.1.3-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 21 May 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.1.2-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 Apr 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.1.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 12 Apr 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.1.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 23 Nov 2020 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.0.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 12 May 2020 16:00:00 -0000
